unit LBRMGlob;

// "Global" variables available to main thread as well as the LBRM thread.

interface

uses Arrays;

//
//  These types are what we get from the unit Arrays:
//
//  type
//    ArrayOfLongInt = array [0..100] of longint;
//    PArrayOfLongInt = ^ArrayOfLongInt;
//
//    ArrayOfSmallInt = array [0..100] of smallint;
//    PArrayOfSmallInt = ^ArrayOfSmallInt;
//
//    ArrayOfSingle = array [0..100] of single;
//    PArrayOfSingle = ^ArrayOfSingle;
//

var
//   EditBoxHndl    : integer;   // handle of hidden edit box used for messaging
//   LBRMStart, LBRMEnd  : longint;    // sequence numbers

//   TBase, AlbedS, AlpPer, AlpUEv, AlpInt : single;   // parameters to try in
//   AlpDPr, AlpLEv, AlpGw, AlpSf, Cons    : single;   // the runoff model

//   Uszm, Lszm, Gzm, Surf, Snow : single;  // initial conditions for the run

   //
   //  Values passed back and forth to the Fortran DLL procedures.
   //
   RecalculateCons                       : boolean;
   BC, DS                                : longint;
   iBCD                                  : PArrayOfLongInt;
   Tmx, Tmn, Prc                         : PArrayOfSmallInt;
   AUpper, ALower, AGround, ASurf, ASnow : PArrayOfSingle;
   ORun, OUsz, OLsz, OGzm, OSs, OSnw     : PArrayOfSingle;

implementation

end.
